// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'ngCordova', 'pascalprecht.translate'])
.run(function($ionicPlatform ,$http , $cordovaDevice , $cordovaGoogleAnalytics) {
  $ionicPlatform.ready(function() {
	
	
	if( ionic.Platform.isAndroid() )  { 
        admobid = { // for Android
          banner: 'ca-app-pub-2592336882129528/2548694302',
		  interstitial: 'ca-app-pub-2592336882129528/8595227906'
        };
		if(AdMob){
         AdMob.createBanner( {
			adId: admobid.banner,
			position: AdMob.AD_POSITION.BOTTOM_CENTER,
		//	isTesting: true, // TODO: remove this line when release
			overlap: false,
			offsetTopBar: false,
			bgColor: 'black'
		  });
		  
		   AdMob.prepareInterstitial({
			adId: admobid.interstitial,
		//	isTesting: true, // TODO: remove this line when release
			autoShow: false
			});
		 
		 setInterval(AdMob.showInterstitial, 60*3000);
		 }
    }
    var device = ionic.Platform;   
	
	var push = PushNotification.init({
    android: {
        senderID: "965838436194"
    },
    ios: {
        alert: "true",
        badge: "true",
        sound: "true"
    },
    windows: {}
	});
	
	push.on('registration', function(data) {
		// data.registrationId
		if(data.registrationId.length){

		$http.get('http://old.quakes.gr/JAPAN/quakes/register.php?type=register&regid='+data.registrationId+'&uuid='+$cordovaDevice.getUUID()+'&mobile_type=Android').then(function(response) {
		
							},function(data) {
									  });
		}

	});
	
	push.on('notification', function(data) {
	
		 var alertPopup = $ionicPopup.alert({
					title: data.title,
					template: data.message
				});		
	});
	push.on('error', function(e) {
		// e.message
		 var alertPopup = $ionicPopup.alert({
					title: 'Error',
					template: 'Notification Problem'
				});
	});		
			
	
			
		function _waitForAnalytics(){
			if(typeof analytics !== 'undefined'){			
				$cordovaGoogleAnalytics.debugMode();
				$cordovaGoogleAnalytics.startTrackerWithId('UA-77467517-1');
				$cordovaGoogleAnalytics.trackView('Earthquake Japan Front Page');				
			}
			else{
				setTimeout(function(){
					_waitForAnalytics();
					
				},250);
			}
		};
		_waitForAnalytics();

  // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
  }); 

})
  .config(function($translateProvider) {
        $translateProvider.translations('en', translations_en);
        $translateProvider.translations('jp', translations_jp); 		
        $translateProvider.preferredLanguage('en');
		console.log(localStorage.getItem('choice'));
		if(localStorage.getItem('choice')=='jp')	
		$translateProvider.preferredLanguage('jp');
        // console.log("$translateProvider initialized");
    })
.config(function($stateProvider, $urlRouterProvider) {
//openFB.init({appId: '739449049465811'});

  $stateProvider

  .state('app', {
    url: "/app",
    abstract: true,
    templateUrl: "templates/menu.html"
  })

  
  .state('app.usgsquakes', {
      url: "/usgsquakes",
      views: {
        'menuContent': {
          templateUrl: "templates/usgsquakes.html",
          controller: 'usgsquakesCtrl'
        }
      }
    })
	.state('app.emscquakes', {
      url: "/emscquakes",
      views: {
        'menuContent': {
          templateUrl: "templates/emscquakes.html",
          controller: 'emscquakesCtrl'
        }
      }
    })
    .state('app.quakes', {
      url: "/quakes",
      views: {
        'menuContent': {
          templateUrl: "templates/quakes.html",
          controller: 'quakesCtrl'
        }
      }
    })
	  .state('app.bigquakes', {
      url: "/bigquakes",
      views: {
        'menuContent': {
          templateUrl: "templates/bigquakes.html",
          controller: 'bigusgsquakesCtrl'
        }
      }
    })

  
   .state('app.maps', {
      url: "/maps",
      views: {
        'menuContent': {
          templateUrl: "templates/map.html",
          controller: 'mapCtrl'
        }
      }
    })
	.state('app.single', {
    url: "/single/:quakeId",
		views: {
		  'menuContent': {
			templateUrl: "templates/single.html",
			 controller: 'mapSingleCtrl'
		  }
		}
	  })
	  
	  .state('app.photos', {
		url: "/photos/:quakeId",
		views: {
		  'menuContent': {
			templateUrl: "templates/photos.html",
			 controller: 'GalleryCtrl'
		  }
		}
	  })
	
	.state('app.phone', {
      url: "/phone",
      views: {
        'menuContent': {
          templateUrl: "templates/phone.html",
		   controller: 'PhoneCtrl'		
        }
      }
    });
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/app/quakes');
  
});
/*
function onNotificationGCM(e) { 
    switch( e.event )
        {
            case 'registered':
                if ( e.regid.length > 0 )
                {
                    console.log("Regid " + e.regid);
                    alert('registration id = '+e.regid);
					
                }
            break;
 
            case 'message':
              // this is the actual push notification. its format depends on the data model from the push server
              alert('message = '+e.message+' msgcnt = '+e.msgcnt);
            break;
 
            case 'error':
              alert('GCM error = '+e.msg);
            break;
 
            default:
              alert('An unknown GCM event has occurred');
              break;
        }
}
function successHandler (result) {
    alert('result = ' + result);
}
function errorHandler (error) {
    alert('error = ' + error);
}
*/